from .config import Config
from .constants import LAUNCH_TIME, TELEGRAPH_URL, TELEGRAPH_URL_MIRROR
from .file_handling import FileManager, YAMLOutputFile
from .parser import TelegraphParser, run_parser
from .utils import ConsoleColor, compile_regex, get_monthrange, get_time_now

__all__ = [
    "Config",
    "LAUNCH_TIME",
    "TELEGRAPH_URL",
    "TELEGRAPH_URL_MIRROR",
    "FileManager",
    "YAMLOutputFile",
    "TelegraphParser",
    "run_parser",
    "ConsoleColor",
    "compile_regex",
    "get_monthrange",
    "get_time_now",
]

# This information is used in the setup.py file:
__version__ = "0.1.3"
__author__ = "zombyacoff"
__email__ = "zombyacoff@gmail.com"
__git_url__ = "https://github.com/zombyacoff/tu-parser"
